summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rw-r--r--utils/brand.env4
-rw-r--r--utils/build_env.py8
-rwxr-xr-xutils/searx.sh39
3 files changed, 34 insertions, 17 deletions
diff --git a/utils/brand.env b/utils/brand.env
index 2075a2bf4..bd1629175 100644
--- a/utils/brand.env
+++ b/utils/brand.env
@@ -1,5 +1,5 @@
-export GIT_URL='https://github.com/searxng/searxng'
-export GIT_BRANCH='master'
export SEARX_URL=''
export SEARX_PORT='8888'
export SEARX_BIND_ADDRESS='127.0.0.1'
+export GIT_URL='https://github.com/searxng/searxng'
+export GIT_BRANCH='master'
diff --git a/utils/build_env.py b/utils/build_env.py
index dc55bd0a8..39708acb9 100644
--- a/utils/build_env.py
+++ b/utils/build_env.py
@@ -7,6 +7,8 @@ import sys
import os
from os.path import realpath, dirname, join, sep, abspath
+from searx.version import GIT_URL, GIT_BRANCH
+
repo_root = realpath(dirname(realpath(__file__)) + sep + '..')
sys.path.insert(0, repo_root)
@@ -30,9 +32,6 @@ def _env(*arg, **kwargs):
name_val = [
- ('GIT_URL' , 'brand.git_url'),
- ('GIT_BRANCH' , 'brand.git_branch'),
-
('SEARX_URL' , 'server.base_url'),
('SEARX_PORT' , 'server.port'),
('SEARX_BIND_ADDRESS' , 'server.bind_address'),
@@ -57,8 +56,9 @@ from searx import get_setting
print('build %s (settings from: %s)' % (brand_env, os.environ['SEARX_SETTINGS_PATH']))
sys.path.insert(0, repo_root)
-from searx import settings
with open(repo_root + sep + brand_env, 'w', encoding='utf-8') as f:
for name, option in name_val:
print("export %s='%s'" % (name, _env(option)), file=f)
+ print(f"export GIT_URL='{GIT_URL}'", file=f)
+ print(f"export GIT_BRANCH='{GIT_BRANCH}'", file=f)
diff --git a/utils/searx.sh b/utils/searx.sh
index f02611059..a9bd41288 100755
--- a/utils/searx.sh
+++ b/utils/searx.sh
@@ -429,13 +429,11 @@ EOF
popd > /dev/null
}
+# shellcheck disable=SC2034
prompt_installation_status(){
- local state branch remote remote_url instance_setting
+ local state branch remote remote_url GIT_URL GIT_BRANCH VERSION_STRING VERSION_TAG
state="$(install_searx_get_state)"
- branch="$(git name-rev --name-only HEAD)"
- remote="$(git config branch."${branch}".remote)"
- remote_url="$(git config remote."${remote}".url)"
case $state in
missing-searx-clone)
@@ -445,14 +443,16 @@ prompt_installation_status(){
*)
warn_msg "SearXNG instance already installed at: $SEARX_SRC"
warn_msg "status: ${_BBlue}$(install_searx_get_state)${_creset} "
- instance_setting="$(prompt_installation_setting brand.git_url)"
- if ! [ "$instance_setting" = "$remote_url" ]; then
- warn_msg "instance's brand.git_url: '${instance_setting}'" \
+ branch="$(git name-rev --name-only HEAD)"
+ remote="$(git config branch."${branch}".remote)"
+ remote_url="$(git config remote."${remote}".url)"
+ eval "$(get_installed_version_variables)"
+ if ! [ "$GIT_URL" = "$remote_url" ]; then
+ warn_msg "instance's git URL: '${GIT_URL}'" \
"differs from local clone's remote URL: ${remote_url}"
fi
- instance_setting="$(prompt_installation_setting brand.git_branch)"
- if ! [ "$instance_setting" = "$branch" ]; then
- warn_msg "instance brand.git_branch: ${instance_setting}" \
+ if ! [ "$GIT_BRANCH" = "$branch" ]; then
+ warn_msg "instance git branch: ${GIT_BRANCH}" \
"differs from local clone's branch: ${branch}"
fi
return 42
@@ -469,7 +469,7 @@ verify_continue_install(){
prompt_installation_setting(){
- # usage: prompt_installation_setting brand.git_url
+ # usage: prompt_installation_setting brand.docs_url
#
# Prompts the value of the (YAML) setting in the SearXNG instance.
@@ -496,6 +496,23 @@ EOF
esac
}
+get_installed_version_variables() {
+
+ # usage: eval "$(get_installed_version_variables)"
+ #
+ # Set variables VERSION_STRING, VERSION_TAG, GIT_URL, GIT_BRANCH
+
+ local _state
+ _state="$(install_searx_get_state)"
+ case $_state in
+ python-installed|installer-modified)
+ sudo -H -u "${SERVICE_USER}" "${SEARX_PYENV}/bin/python -m searx.version";;
+ *)
+ return 42
+ ;;
+ esac
+}
+
init_SEARX_SRC(){
rst_title "Update instance: ${SEARX_SRC}/" section